TupleFormat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.bdb.bind.tuple.TupleFormat,TupleFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb.bind.tuple
Class TupleFormat

    java.lang.Object
      |
      +--com.sleepycat.bdb.bind.tuple.TupleFormat

All Implemented Interfaces:
  DataFormat

public class TupleFormat
extends Object
implements DataFormat

The format for tuple data. In addition to identifying a tuple format this class provides utility methods for use by bindings.

Constructor Summary
`TupleFormat()` Creates a tuple format.

Method Summary
`TupleInput` | `dataToInput(DataBuffer data)` Utility method to create a new tuple input object for reading the data from a given buffer.
`void` | `inputToData(TupleInput input, DataBuffer data)` Utility method to set the data in a data buffer to the data in a tuple input object.
`TupleOutput` | `newOutput()` Utility method for use by bindings to create a tuple output object.
`void` | `outputToData(TupleOutput output, DataBuffer data)` Utility method to set the data in a data buffer to the data in a tuple output object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleFormat

    public TupleFormat()

  Creates a tuple format.

Method Detail

### newOutput

    public final TupleOutput newOutput()

  Utility method for use by bindings to create a tuple output object.

  Returns:
    a new tuple output object.

### outputToData

    public final void outputToData(TupleOutput output,
                                   DataBuffer data)

  Utility method to set the data in a data buffer to the data in a tuple output object.

  Parameters:
    `output` - is the source tuple output object.
    `data` - is the destination data buffer.

### inputToData

    public final void inputToData(TupleInput input,
                                  DataBuffer data)

  Utility method to set the data in a data buffer to the data in a tuple input object. The tuple input for a buffer is cached in the buffer's data formation property.

  Parameters:
    `input` - is the source tuple input object.
    `data` - is the destination data buffer.

### dataToInput

    public final TupleInput dataToInput(DataBuffer data)

  Utility method to create a new tuple input object for reading the data from a given buffer. The tuple input for a buffer is cached in the buffer's data formation property. If an existing input is reused, it is reset before returning it.

  Parameters:
    `data` - is the source data buffer.
  Returns:
    the new tuple input object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.